package com.muyu.product.mapper;

import java.util.List;
import com.muyu.product.domain.CategoryAttributeGroup;

/**
 * 品类属性组中间Mapper接口
 * 
 * @author saisai
 * @date 2024-02-29
 */
public interface CategoryAttributeGroupMapper 
{
    /**
     * 查询品类属性组中间
     * 
     * @param id 品类属性组中间主键
     * @return 品类属性组中间
     */
    public CategoryAttributeGroup selectCategoryAttributeGroupById(Long id);

    /**
     * 查询品类属性组中间列表
     * 
     * @param categoryAttributeGroup 品类属性组中间
     * @return 品类属性组中间集合
     */
    public List<CategoryAttributeGroup> selectCategoryAttributeGroupList(CategoryAttributeGroup categoryAttributeGroup);

    /**
     * 新增品类属性组中间
     * 
     * @param categoryAttributeGroup 品类属性组中间
     * @return 结果
     */
    public int insertCategoryAttributeGroup(CategoryAttributeGroup categoryAttributeGroup);

    /**
     * 修改品类属性组中间
     * 
     * @param categoryAttributeGroup 品类属性组中间
     * @return 结果
     */
    public int updateCategoryAttributeGroup(CategoryAttributeGroup categoryAttributeGroup);

    /**
     * 删除品类属性组中间
     * 
     * @param id 品类属性组中间主键
     * @return 结果
     */
    public int deleteCategoryAttributeGroupById(Long id);

    /**
     * 批量删除品类属性组中间
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCategoryAttributeGroupByIds(Long[] ids);
}
